AbstractAccessLogValve.CookieElement (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: CookieElement

# Class AbstractAccessLogValve.CookieElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.CookieElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.CookieElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write a specific cookie - %{xxx}c.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CookieElement(String cookieNameToLog)`
  Creates a new cookie element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### CookieElement

    public CookieElement(String cookieNameToLog)
    Creates a new cookie element.
    Parameters:
      `cookieNameToLog` - The cookie name to log

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request